SDL_BlitSurfaceUnchecked(3)

NAME
SDL_BlitSurfaceUnchecked - Perform low-level surface blitting only.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_BlitSurfaceUnchecked(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect);

DESCRIPTION
This is a semi-private blit function and it performs low-level surface blitting, assuming the input rectangles have already been clipped.

FUNCTION PARAMETERS

src the SDL_Surface structure to be copied from.

srcrect
    the SDL_Rect structure representing the rectangle to be copied, may not be NULL.

dst the SDL_Surface structure that is the blit target.

dstrect
    the SDL_Rect structure representing the target rectangle in the destination surface, may not be NULL.

RETURN VALUE
for more information.

THREAD SAFETY
Only one thread should be using the src and dst surfaces at any given time.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_BlitSurface(3)